Bug 195486 - [PATCH] Update security/tor to 0.2.5.10 and security/tor-devel to 0.2.6.1-alpha
Summary: [PATCH] Update security/tor to 0.2.5.10 and security/tor-devel to 0.2.6.1-alpha
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-28 21:46 UTC by Neel Chauhan
Modified: 2015-01-04 15:43 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (bf)


Attachments
Patch to update security/tor to 0.2.5.10 and security/tor-devel to 0.2.6.1-alpha (1.52 KB, patch)
2014-11-28 21:46 UTC, Neel Chauhan
neel: maintainer-approval-
Details | Diff
Poudriere Build Log for security/tor 0.2.5.10 (32.70 KB, text/x-log)
2014-11-28 21:47 UTC, Neel Chauhan
neel: maintainer-approval-
Details
Poudriere Build Log for security/tor-devel 0.2.6.1-alpha (41.84 KB, text/x-log)
2014-11-28 21:48 UTC, Neel Chauhan
neel: maintainer-approval?
Details
Updated patch for security/tor 0.2.5.10 (2.30 KB, patch)
2014-11-30 15:29 UTC, Neel Chauhan
neel: maintainer-approval+
Details | Diff
WORKING Poudriere Build Log for security/tor 0.2.5.10 (36.32 KB, text/x-log)
2014-11-30 15:30 UTC, Neel Chauhan
neel: maintainer-approval+
Details
Updated patch for security/tor-devel 0.2.6.1-alpha (758 bytes, patch)
2014-11-30 15:31 UTC, Neel Chauhan
neel: maintainer-approval+
Details | Diff
WORKING Poudriere Build Log for security/tor-devel 0.2.6.1-alpha (41.84 KB, text/x-log)
2014-11-30 15:32 UTC, Neel Chauhan
neel: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan 2014-11-28 21:46:41 UTC
Created attachment 149977 [details]
Patch to update security/tor to 0.2.5.10 and security/tor-devel to 0.2.6.1-alpha

Hi,
It looks like nobody has updated the FreeBSD port security/tor in about 2 months. I have patches to update both security/tor and security/tor-devel to their respective latest versions: 0.2.5.10 and 0.2.6.1-alpha. I also have the Poudriere build logs for both of these ports, which I will upload shortly.
Thanks,
Neel
Comment 1 Bugzilla Automation freebsd_committer 2014-11-28 21:46:41 UTC
Auto-assigned to maintainer bf@FreeBSD.org
Comment 2 Neel Chauhan 2014-11-28 21:47:57 UTC
Created attachment 149978 [details]
Poudriere Build Log for security/tor 0.2.5.10

Here is the Poudriere Build Log for security/tor 0.2.5.10. I will upload the build log for security/tor-devel 0.6.1 shortly.
Comment 3 Neel Chauhan 2014-11-28 21:48:46 UTC
Created attachment 149979 [details]
Poudriere Build Log for security/tor-devel 0.2.6.1-alpha

And here's the Poudriere Build Log for security/tor-devel 0.2.6.1-alpha
Comment 4 Neel Chauhan 2014-11-30 15:29:53 UTC
Created attachment 150029 [details]
Updated patch for security/tor 0.2.5.10

Hi,
I uploaded an updated patch to update security/tor to 0.2.5.10. This patch does work. I will also upload the Poudriere build logs for this patch, as well as the updated patch and the Poudriere Build Log for security/tor 0.2.6.1-alpha.
Thanks,
Neel.
Comment 5 Neel Chauhan 2014-11-30 15:30:46 UTC
Created attachment 150030 [details]
WORKING Poudriere Build Log for security/tor 0.2.5.10
Comment 6 Neel Chauhan 2014-11-30 15:31:54 UTC
Created attachment 150031 [details]
Updated patch for security/tor-devel 0.2.6.1-alpha

Here is the updated patch for security/tor 0.2.6.1-alpha.
Comment 7 Neel Chauhan 2014-11-30 15:32:43 UTC
Created attachment 150032 [details]
WORKING Poudriere Build Log for security/tor-devel 0.2.6.1-alpha

And here is the updated Poudriere Build Log for security/tor-devel 0.2.6.1-alpha
Comment 8 commit-hook freebsd_committer 2014-12-11 12:52:53 UTC
A commit references this bug:

Author: bf
Date: Thu Dec 11 12:52:08 UTC 2014
New revision: 374527
URL: https://svnweb.freebsd.org/changeset/ports/374527

Log:
  Update tor to 0.2.5.10 and tor-devel to 0.2.6.1-alpha

  PR:		195486

Changes:
  head/security/tor/Makefile
  head/security/tor/distinfo
  head/security/tor-devel/Makefile
  head/security/tor-devel/distinfo
Comment 9 Neel Chauhan 2015-01-04 15:43:05 UTC
The updates have already been committed, so this patch should be marked as "CLOSED".